Page MenuHomePhabricator

[mlir] Add Python bindings for AffineExpr
ClosedPublic

Authored by ftynse on Jan 7 2021, 4:22 AM.

Details

Summary

This adds the Python bindings for AffineExpr and a couple of utility functions
to the C API. AffineExpr is a top-level context-owned object and is modeled
similarly to attributes and types. It is required, e.g., to build layout maps
of the built-in memref type.

Diff Detail

Event Timeline

ftynse created this revision.Jan 7 2021, 4:22 AM
ftynse requested review of this revision.Jan 7 2021, 4:22 AM
mehdi_amini accepted this revision.Jan 8 2021, 4:29 PM
mehdi_amini added inline comments.
mlir/lib/Bindings/Python/IRModules.h
694

Where are all these defined?

This revision is now accepted and ready to land.Jan 8 2021, 4:29 PM
This revision was landed with ongoing or failed builds.Jan 11 2021, 10:57 AM
This revision was automatically updated to reflect the committed changes.